tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 21744] New: - SunJavaCompiler uses old version of javac
Date Sun, 20 Jul 2003 16:59:43 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=21744>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=21744

SunJavaCompiler uses old version of javac

           Summary: SunJavaCompiler uses old version of javac
           Product: Tomcat 4
           Version: 4.0 Beta 6
          Platform: All
        OS/Version: All
            Status: NEW
          Severity: Critical
          Priority: Other
         Component: Jasper
        AssignedTo: tomcat-dev@jakarta.apache.org
        ReportedBy: ms53@inf.tu-dresden.de


Currently SunJavaCompiler.java calls sun.tools.javac.Main.compile() to compile 
JSP's. This version of the Javac compiler produces invalid bytecode for large 
JSP's that causes class verification errors on instanciation of the generated 
Servlet classes.

The SunJavaCompiler class should use com.sun.tools.javac.Main rather than the 
old (deprecated) version. To ensure compability with JDKs earlier than 1.3 one 
might implement a runtime choice instead of just switching ot the new compiler.

A possible Workaround for this problem is to write a JspCompilePlugin.

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-dev-help@jakarta.apache.org


Mime
View raw message